ace-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Toni Menzel (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (ACE-57) Make it osgi core 4.2 and cmpd 4.2 compatible at compile stage
Date Fri, 08 Jan 2010 19:03:54 GMT

     [ https://issues.apache.org/jira/browse/ACE-57?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Toni Menzel resolved ACE-57.
----------------------------

    Resolution: Fixed

done in ACE-62 maven build "branch"

> Make it osgi core 4.2 and cmpd 4.2 compatible at compile stage
> --------------------------------------------------------------
>
>                 Key: ACE-57
>                 URL: https://issues.apache.org/jira/browse/ACE-57
>             Project: Ace
>          Issue Type: Task
>            Reporter: Toni Menzel
>            Priority: Minor
>         Attachments: ACE-57.patch
>
>
> Currently ace is being compiled against older (R4?) core+cmpd jars. 
> When replacing them with core+cmpd to leverage some of the new constants in some areas
or when some libraries (like an EventAdmin implementation for example) brings in R4.2 api,
compiler complains about the ambigious Event() constructor (since 1.2 api there are two, both
type compatible to (String,Properties) .. which is kind of very  annoying btw).
> So it would be good to at least prepare for this to make things compile.
> On the other hand, i would like to see core+cmpd jars being replaced with the new ones
to be able to use (for example) the new constants. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message